NullProviderTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.test

## Class NullProviderTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cms.test.NullProviderTest

- All Implemented Interfaces:
    junit.framework.Test

      public class NullProviderTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullProviderTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testKeyTransAES128()`
    `void` | `testKeyTransAES192()`
    `void` | `testKeyTransAES256()`
    `void` | `testKeyTransDES()`
    `void` | `testSHA1WithRSAEncapsulated()`
    `void` | `testSHA1WithRSAStream()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullProviderTest

          public NullProviderTest()

  - ### Method Detail

    - #### testSHA1WithRSAEncapsulated

          public void testSHA1WithRSAEncapsulated()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSHA1WithRSAStream

          public void testSHA1WithRSAStream()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransDES

          public void testKeyTransDES()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES128

          public void testKeyTransAES128()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES192

          public void testKeyTransAES192()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testKeyTransAES256

          public void testKeyTransAES256()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`